Subject: Re: [v2] powerpc/mm: convert tlbie to tlbiel when no batch is active

From: Michael Ellerman <[email-masked]>
Date: Thu, 8 Jun 2017 14:07:36 +1000 (AEST)

On Thu, 2017-05-25 at 07:28:32 UTC, Balbir Singh wrote:
> Do the checks that __flush_tlb_pending() does and check if
> a local flush will do when batch->active is false inside of
> hpte_need_flush(). I've checked the changes with tlbie tracing,
> I see local flushes as applicable now and I've also run
> some basic ltp testcases on top of these changes on a powernv
> machine.
> 
> Signed-off-by: Balbir Singh <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/c5cee6421cd651446b93c231f0ab8f

cheers